# record TglBitmapFunctionRec

Description | Hierarchy | Fields | Methods | Properties

## Unit

glBitmap

## Declaration

`type TglBitmapFunctionRec = record`

## Description

structure to store data for converting in

## Overview

### Fields

`Sender: TglBitmap;`
`Size: TglBitmapSize;`
`Position: TglBitmapPixelPosition;`
`Source: TglBitmapPixelData;`
`Dest: TglBitmapPixelData;`
`Args: Pointer;`

## Description

### Fields

`Sender: TglBitmap;`
texture object that stores the data to convert

`Size: TglBitmapSize;`
size of the texture

`Position: TglBitmapPixelPosition;`
position of the currently pixel

`Source: TglBitmapPixelData;`
pixel data of the current pixel

`Dest: TglBitmapPixelData;`
new data of the pixel (must be filled in)

`Args: Pointer;`
user defined args that was passed to the convert function

Generated by PasDoc 0.13.0 on 2014-12-21 15:05:48